unit Main;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,

  {$IFDEF ANDROID}
  Androidapi.JNI.GraphicsContentViewText,
  Androidapi.JNI.JavaTypes,
  FMX.Helpers.Android,
  {$ENDIF}

  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.Layouts,
  FMX.Memo, FMX.StdCtrls;

type
  TForm1 = class(TForm)
    ToolBar1: TToolBar;
    Label1: TLabel;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.FormCreate(Sender: TObject);
{$IFDEF ANDROID}
var jpi: JPackageInfo;
    packageName: JString;
begin
     Memo1.BeginUpdate;

     Memo1.Lines.Add('applicationLabel : ' + GetApplicationTitle);

     packageName := SharedActivityContext.getPackageName;
     Memo1.Lines.Add('packageName : ' + JStringToString(packageName));

     jpi := SharedActivityContext.getPackageManager.getPackageInfo(packageName, 0);
     Memo1.Lines.Add('versionName : ' + JStringToString(jpi.versionName));

     Memo1.EndUpdate;
end;
{$ELSE}
begin
     Memo1.Lines.Add('for Android only');
end;
{$ENDIF}

end.
